<!DOCTYPE html><html><head>
<title> Table Of Contents </title>
</head>
<!-- Generated by tcllib/doctools/toc with format 'html'
   -->
<!-- Table Of Contents
   -->
<body>
<hr> [
   <a href="../../../../../home">Tklib Home</a>
| <a href="../index.html">Keyword Index</a>
| <a href="../toc0.html">Categories</a>
| <a href="../toc1.html">Modules</a>
| <a href="../toc2.html">Applications</a>
 ] <hr>
<h3>Table Of Contents</h3>
<hr><dl><dt><h2>tklib</h2></dt><dd>
<table class="#doctools_toc">
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='autoscroll'><a href="files/modules/autoscroll/autoscroll.html">autoscroll</a></td>
<td class="#doctools_tocright">Provides for a scrollbar to automatically mapped and unmapped as needed</td>
</tr>
<tr class="#doctools_tocodd"  >
<td class="#doctools_tocleft" ><a name='bitmap_editor'><a href="files/apps/bitmap-editor.html">bitmap-editor</a></td>
<td class="#doctools_tocright">Editor for XBM images</td>
</tr>
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='canvas_drag'><a href="files/modules/canvas/canvas_drag.html">canvas::drag</a></td>
<td class="#doctools_tocright">Manage the dragging of canvas items or item groups</td>
</tr>
<tr class="#doctools_tocodd"  >
<td class="#doctools_tocleft" ><a name='canvas_edit_points'><a href="files/modules/canvas/canvas_epoints.html">canvas::edit::points</a></td>
<td class="#doctools_tocright">Editing a cloud of points on a canvas</td>
</tr>
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='canvas_edit_polyline'><a href="files/modules/canvas/canvas_epolyline.html">canvas::edit::polyline</a></td>
<td class="#doctools_tocright">Editing a polyline on a canvas</td>
</tr>
<tr class="#doctools_tocodd"  >
<td class="#doctools_tocleft" ><a name='canvas_edit_quadrilateral'><a href="files/modules/canvas/canvas_equad.html">canvas::edit::quadrilateral</a></td>
<td class="#doctools_tocright">Editing a quadrilateral on a canvas</td>
</tr>
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='canvas_gradient'><a href="files/modules/canvas/canvas_gradient.html">canvas::gradient</a></td>
<td class="#doctools_tocright">Canvas with a gradient background</td>
</tr>
<tr class="#doctools_tocodd"  >
<td class="#doctools_tocleft" ><a name='canvas_highlight'><a href="files/modules/canvas/canvas_highlight.html">canvas::highlight</a></td>
<td class="#doctools_tocright">Manage the highlighting of canvas items or item groups</td>
</tr>
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='canvas_mvg'><a href="files/modules/canvas/canvas_mvg.html">canvas::mvg</a></td>
<td class="#doctools_tocright">Canvas to ImageMagick MVG vector format</td>
</tr>
<tr class="#doctools_tocodd"  >
<td class="#doctools_tocleft" ><a name='canvas_snap'><a href="files/modules/canvas/canvas_snap.html">canvas::snap</a></td>
<td class="#doctools_tocright">Canvas snapshot to Tk photo image</td>
</tr>
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='canvas_sqmap'><a href="files/modules/canvas/canvas_sqmap.html">canvas::sqmap</a></td>
<td class="#doctools_tocright">Canvas with map background based on square tiles</td>
</tr>
<tr class="#doctools_tocodd"  >
<td class="#doctools_tocleft" ><a name='canvas_tag'><a href="files/modules/canvas/canvas_tags.html">canvas::tag</a></td>
<td class="#doctools_tocright">Easier management of the tags on canvas items or item groups</td>
</tr>
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='canvas_track_lines'><a href="files/modules/canvas/canvas_trlines.html">canvas::track::lines</a></td>
<td class="#doctools_tocright">Manage a group of rubber band lines</td>
</tr>
<tr class="#doctools_tocodd"  >
<td class="#doctools_tocleft" ><a name='canvas_zoom'><a href="files/modules/canvas/canvas_zoom.html">canvas::zoom</a></td>
<td class="#doctools_tocright">Zoom control for canvas::sqmap</td>
</tr>
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='canvaslabel'><a href="files/modules/tkpiechart/canvaslabel.html">canvasLabel</a></td>
<td class="#doctools_tocright">tkpiechart canvas label class</td>
</tr>
<tr class="#doctools_tocodd"  >
<td class="#doctools_tocleft" ><a name='chatwidget'><a href="files/modules/chatwidget/chatwidget.html">chatwidget</a></td>
<td class="#doctools_tocright">Provides a multi-paned view suitable for display of chat room or irc channel information</td>
</tr>
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='controlwidget'><a href="files/modules/controlwidget/controlwidget.html">controlwidget</a></td>
<td class="#doctools_tocright">Collection of widgets for displaying and controlling numerical values</td>
</tr>
<tr class="#doctools_tocodd"  >
<td class="#doctools_tocleft" ><a name='crosshair'><a href="files/modules/crosshair/crosshair.html">crosshair</a></td>
<td class="#doctools_tocright">Crosshairs for Tk canvas</td>
</tr>
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='ctext'><a href="files/modules/ctext/ctext.html">ctext</a></td>
<td class="#doctools_tocright">Ctext a text widget with highlighting support</td>
</tr>
<tr class="#doctools_tocodd"  >
<td class="#doctools_tocleft" ><a name='cursor'><a href="files/modules/cursor/cursor.html">cursor</a></td>
<td class="#doctools_tocright">Procedures to handle CURSOR data</td>
</tr>
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='datefield'><a href="files/modules/datefield/datefield.html">datefield</a></td>
<td class="#doctools_tocright">Tk datefield widget</td>
</tr>
<tr class="#doctools_tocodd"  >
<td class="#doctools_tocleft" ><a name='diagram'><a href="files/modules/diagrams/diagram.html">diagram</a></td>
<td class="#doctools_tocright">Diagram drawing</td>
</tr>
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='diagram_viewer'><a href="files/apps/diagram-viewer.html">diagram-viewer</a></td>
<td class="#doctools_tocright">Lightweight Diagram Processor</td>
</tr>
<tr class="#doctools_tocodd"  >
<td class="#doctools_tocleft" ><a name='getstring'><a href="files/modules/getstring/tk_getString.html">getstring</a></td>
<td class="#doctools_tocright">A string dialog</td>
</tr>
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='history'><a href="files/modules/history/tklib_history.html">history</a></td>
<td class="#doctools_tocright">Provides a history for Entry widgets</td>
</tr>
<tr class="#doctools_tocodd"  >
<td class="#doctools_tocleft" ><a name='ico'><a href="files/modules/ico/ico.html">ico</a></td>
<td class="#doctools_tocright">Reading and writing windows icons</td>
</tr>
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='ipentry'><a href="files/modules/ipentry/ipentry.html">ipentry</a></td>
<td class="#doctools_tocright">An IP address entry widget</td>
</tr>
<tr class="#doctools_tocodd"  >
<td class="#doctools_tocleft" ><a name='khim'><a href="files/modules/khim/khim.html">khim</a></td>
<td class="#doctools_tocright">Provides key bindings for entering international characters on a keyboard that does not support them</td>
</tr>
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='menubar'><a href="files/modules/menubar/menubar.html">menubar</a></td>
<td class="#doctools_tocright">Creates an instance of the  Class.</td>
</tr>
<tr class="#doctools_tocodd"  >
<td class="#doctools_tocleft" ><a name='notifywindow'><a href="files/modules/notifywindow/notifywindow.html">notifywindow</a></td>
<td class="#doctools_tocright">Provides unobtrusive window for alerts/notifications from Tk applications</td>
</tr>
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='ntext'><a href="files/modules/ntext/ntext.html">ntext</a></td>
<td class="#doctools_tocright">Alternative Bindings for the Text Widget</td>
</tr>
<tr class="#doctools_tocodd"  >
<td class="#doctools_tocleft" ><a name='ntextbindings'><a href="files/modules/ntext/ntextBindings.html">ntextBindings</a></td>
<td class="#doctools_tocright">Alternative Bindings for the Text Widget</td>
</tr>
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='ntextindent'><a href="files/modules/ntext/ntextIndent.html">ntextIndent</a></td>
<td class="#doctools_tocright">ntext Indentation for the Text Widget</td>
</tr>
<tr class="#doctools_tocodd"  >
<td class="#doctools_tocleft" ><a name='ntextwordbreak'><a href="files/modules/ntext/ntextWordBreak.html">ntextWordBreak</a></td>
<td class="#doctools_tocright">ntext Word Boundary Detection for the Text Widget</td>
</tr>
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='persistentselection'><a href="files/modules/persistentSelection/persistentSelection.html">persistentSelection</a></td>
<td class="#doctools_tocright">Enhanced PRIMARY selection</td>
</tr>
<tr class="#doctools_tocodd"  >
<td class="#doctools_tocleft" ><a name='pie'><a href="files/modules/tkpiechart/pie.html">pie</a></td>
<td class="#doctools_tocright">2D or 3D pie chart object in a canvas</td>
</tr>
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='pieboxlabeler'><a href="files/modules/tkpiechart/pieboxlabeler.html">pieBoxLabeler</a></td>
<td class="#doctools_tocright">tkpiechart pie box style labeler class</td>
</tr>
<tr class="#doctools_tocodd"  >
<td class="#doctools_tocleft" ><a name='pieperipherallabeler'><a href="files/modules/tkpiechart/pieperipherallabeler.html">piePeripheralLabeler</a></td>
<td class="#doctools_tocright">tkpiechart pie peripheral style labeler class</td>
</tr>
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='plotchart'><a href="files/modules/plotchart/plotchart.html">Plotchart</a></td>
<td class="#doctools_tocright">Simple plotting and charting package</td>
</tr>
<tr class="#doctools_tocodd"  >
<td class="#doctools_tocleft" ><a name='swaplist'><a href="files/modules/swaplist/swaplist.html">swaplist</a></td>
<td class="#doctools_tocright">A dialog which allows a user to move options between two lists</td>
</tr>
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='tooltip'><a href="files/modules/tooltip/tooltip.html">tooltip</a></td>
<td class="#doctools_tocright">Tooltip management</td>
</tr>
<tr class="#doctools_tocodd"  >
<td class="#doctools_tocleft" ><a name='widget'><a href="files/modules/widget/widget.html">widget</a></td>
<td class="#doctools_tocright">Megawidget bundle</td>
</tr>
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='widget_calendar'><a href="files/modules/widget/widget_calendar.html">widget_calendar</a></td>
<td class="#doctools_tocright">Calendar Megawidget</td>
</tr>
<tr class="#doctools_tocodd"  >
<td class="#doctools_tocleft" ><a name='widget_dateentry'><a href="files/modules/widget/widget_dateentry.html">widget_dateentry</a></td>
<td class="#doctools_tocright">Date Entry Megawidget</td>
</tr>
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='widget_listentry'><a href="files/modules/widgetl/widget_listentry.html">widget_listentry</a></td>
<td class="#doctools_tocright">widget::listentry widget</td>
</tr>
<tr class="#doctools_tocodd"  >
<td class="#doctools_tocleft" ><a name='widget_listsimple'><a href="files/modules/widgetl/widget_listsimple.html">widget_listsimple</a></td>
<td class="#doctools_tocright">widget::listsimple widget</td>
</tr>
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='widget_toolbar'><a href="files/modules/widget/widget_toolbar.html">widget_toolbar</a></td>
<td class="#doctools_tocright">Toolbar Megawidget</td>
</tr>
<tr class="#doctools_tocodd"  >
<td class="#doctools_tocleft" ><a name='widget_validator'><a href="files/modules/widgetv/widget_validator.html">widget_validator</a></td>
<td class="#doctools_tocright">widget::validator behaviour</td>
</tr>
<tr class="#doctools_toceven" >
<td class="#doctools_tocleft" ><a name='widgetplus'><a href="files/modules/widgetPlus/widgetPlus.html">widgetPlus</a></td>
<td class="#doctools_tocright">Enhanced Entry, Spinbox, and Combobox Widgets with Undo/Redo and other useful features</td>
</tr>
</table>
</dd></dl><hr></body></html>
